@import "variables.scss";

main {
  & > .container > img {
    width: 100%;
    margin-bottom: 66px;
    @media (min-width: 768px) {
        margin-bottom: 56px;
    }
      @media (min-width: 320px) {
        margin-bottom: 38px;
    }
  }

  .resent {
    margin-bottom: 69px;
    h1 {
      @include mainFont;
      font-size: 16px;
      margin-bottom: 24px;
      line-height: 22px;
      text-transform: uppercase;
      color: $mainColor;
      @media (min-width: 768px) {
        font-size: 16px;
      }
      @media (min-width: 320px) {
        font-size: 14px;
      }
    }
    .resent_grid {
      display: grid;
      @media (min-width: 1200px) {
        & {
          grid-template-columns: 1fr 1fr;
          grid-template-rows: 1fr 1fr;
        }
      }
      grid-row-gap: 32px;
      @media (min-width: 768px) {
        & {
          grid-template-columns: 1fr;
          grid-template-rows: 1fr 1fr 1fr 1fr;
        }
      }
     
      .resent_content {
        display: flex;
        @media (min-width: 768px) {
            display: flex;
            & > .resent_text h2{
                font-size: 16px;
            }
            & > h3{
                font-size: 12px;
            } 
            & .resent_text{
                margin-top: 0px;
            }
      }
        @media (min-width: 320px) {
          display: block;
          & .resent_text{
              margin-top: 11px;
          }
          & > .resent_text h2{
            font-size: 14px;
        }
        &  h3{
            font-size: 11px;
        }
      }
        img {
          margin-right: 20px;
        }
        h2 {
          @include postFont;
          font-weight: bold;
          font-size: 16px;
          line-height: 30px;
          color: $mainColor;
        }
        h3 {
          @include postFont;
          font-weight: normal;
          font-size: 12px;
          line-height: 20px;
          color: #7c7c7c;
        }
        p {
          margin-top: 13px;
          @include postFont;
          font-weight: normal;
          font-size: 14px;
          line-height: 26px;
          color: #5c5c5c;
          @media (min-width: 768px) {
              display: block;
        }
          @media (min-width: 320px) {
            display: none;
        }
        }
      }
    }
  }
  .inst {
    padding-top: 47px;
    padding-bottom: 49px;
    background: rgba(0, 0, 0, 0.03);
    .inst_headings {
      display: flex;
      justify-content: space-between;
      margin-bottom: 24px;
      @include mainFont;
      font-weight: bold;
      font-size: 16px;
      @media (min-width: 768px) {
        font-size: 16px;
           }
    
     @media (min-width: 320px) {
        font-size: 14px;
       }
      line-height: 22px;
      color: $mainColor;
      text-transform: uppercase;
      :last-child {
        font-size: 13px;
        @media (min-width: 768px) {
            display: block;
        }
        @media (min-width: 320px) {
            display: none;
        }
      }

    }
    .inst_posts{
        display: grid;
        grid-template-columns: 1fr 1fr 1fr 1fr;
        grid-template-rows: 1fr;
        grid-column-gap: 10px;
    & > img{
        width: 100%;
    }

   
      @media (min-width: 1200px) {
          &{
            grid-template-columns: 1fr 1fr 1fr 1fr;
          }
        & > img:last-child {
          display: inline;
        }
      }
      @media (min-width: 768px) {
          &{
            grid-template-columns: 1fr 1fr 1fr;
          }
        & > img:last-child {
          display: none;
        }
        & > img:not(:last-child) {
            display: inline;
          }
      }
      @media (min-width: 320px) {
        &{
            grid-template-columns: 1fr;
          }
        & > img:not(:first-child) {
        display: none;
        }
      }
    }
  }
}
